// ------------------------------------------------------------------------------------------------
// MyStream.h
//
// Header for MyStream.c
//
// COPYRIGHT (C) SEGA OF AMERICA, INC. 1998
// All rights reserved.
//
// Information and source code samples contained herein are 
// provided "as-is", without representations or warranties, and 
// are subject to change without notice.
//
// SEGA OF AMERICA, INC. cannot support modifications or 
// derivative works created from the sample source code provided. 
// Developers may use, reproduce, and modify portions or entire 
// sections of the sample source code for the purposes of creating
// Dreamcast applications.  
//
// Sample source code contained herein may not be appropriate 
// for use under all circumstances.  Please consult Developer 
// documentation provided along with your Dreamcast unit for
// additional information and suggestions.
//
//
// Author: Ralph "Cooksey" Thomas
//
// Tabs:	4
//
// Rev:		04/07/99	Added this header
//						
// ------------------------------------------------------------------------------------------------

#ifndef _MYSTREAM_H
#define _MYSTREAM_H

KTBOOL 	MyStreamStart(AM_STREAM_PTR theStream,char *streamFileName);
KTBOOL 	MyStreamRestart(AM_STREAM_PTR theStream);
void   	MyStreamCallback(KTU32 voiceChannelNumber);
void 	MyStreamClearCallbackFlag(void);
KTBOOL 	MyStreamIsDone(void);
void 	MyStreamServer(AM_STREAM_PTR theStream);
KTBOOL 	MyStreamStop(AM_STREAM_PTR theStream);
KTBOOL 	MyStreamIsPlaying(void);
KTBOOL 	MyStreamSetVolume(AM_STREAM_PTR theStream,KTU32 volume);


#endif

